<?php
// +----------------------------------------------------------------------
// | likeadmin快速开发前后端分离管理后台（PHP版）
// +----------------------------------------------------------------------
// | 欢迎阅读学习系统程序代码，建议反馈是我们前进的动力
// | 开源版本可自由商用，可去除界面版权logo
// | gitee下载：https://gitee.com/likeshop_gitee/likeadmin
// | github下载：https://github.com/likeshop-github/likeadmin
// | 访问官网：https://www.likeadmin.cn
// | likeadmin团队 版权所有 拥有最终解释权
// +----------------------------------------------------------------------
// | author: likeadminTeam
// +----------------------------------------------------------------------


namespace app\adminapi\controller\labels;


use app\adminapi\controller\BaseAdminController;
use app\adminapi\lists\labels\LabelsLists;
use app\adminapi\logic\labels\LabelsLogic;
use app\adminapi\validate\labels\LabelsValidate;


/**
 * Labels控制器
 * Class LabelsController
 * @package app\adminapi\controller
 */
class LabelsController extends BaseAdminController
{


    /**
     * @notes 获取列表
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/12 17:15
     */
    public function lists()
    {
        return $this->dataLists(new LabelsLists());
    }


    /**
     * @notes 添加
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/12 17:15
     */
    public function add()
    {
        $params = (new LabelsValidate())->post()->goCheck('add');
        $result = LabelsLogic::add($params);
        if (true === $result) {
            return $this->success('添加成功', [], 1, 1);
        }
        return $this->fail(LabelsLogic::getError());
    }


    /**
     * @notes 编辑
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/12 17:15
     */
    public function edit()
    {
        $params = (new LabelsValidate())->post()->goCheck('edit');
        $result = LabelsLogic::edit($params);
        if (true === $result) {
            return $this->success('编辑成功', [], 1, 1);
        }
        return $this->fail(LabelsLogic::getError());
    }


    /**
     * @notes 删除
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/12 17:15
     */
    public function delete()
    {
        $params = (new LabelsValidate())->post()->goCheck('delete');
        LabelsLogic::delete($params);
        return $this->success('删除成功', [], 1, 1);
    }


    /**
     * @notes 获取详情
     * @return \think\response\Json
     * @author likeadmin
     * @date 2024/12/12 17:15
     */
    public function detail()
    {
        $params = (new LabelsValidate())->goCheck('detail');
        $result = LabelsLogic::detail($params);
        return $this->data($result);
    }

    public function treeLists()
    {
        $res = $this->dataLists(new LabelsLists())->getData();
        $res['data']['lists'] = linear_to_tree($res['data']['lists'], 'children');
        return json($res);
    }
}